/*
 * @Date: 2022-01-19 16:39:51
 * @LastEditors: JinxChen
 * @LastEditTime: 2022-02-25 16:55:56
 * @FilePath: \AntpayFrontEnd\src\utils\index.js
 * @description: 工具类
 */


/**
 * 判断是否为空
 */
export function isNull(o) {
    if (o === null || o === undefined || o === '') {
        return true;
        // eslint-disable-next-line
    } else if (Array.prototype.isPrototypeOf(o) && o.length === 0) {
        return true;
        // eslint-disable-next-line
    } else if (Object.prototype.isPrototypeOf(o) && Object.keys(o).length === 0) {
        return true;
    }
    return false;
}
/**
 * 判断是否为非空
 */
export function isNotNull(o) {
    return !isNull(o);
}

// 判断用户是否是支付宝浏览器
export function isAlipayBrowser(userAgent) {
    if (/AlipayClient/.test(userAgent)) {
        console.log("当前浏览器是支付宝浏览器");
        return true;
    } else {
        console.log("当前浏览器是非支付宝浏览器");
        return false;
    }
}

// 判断用户的设备是否是android
export function isAndroid(userAgent) {
    if (userAgent.indexOf('Android') > -1 || userAgent.indexOf('Linux') > -1) {
        console.log("当前用户设备是android");
        return true;
    } else if (userAgent.indexOf('iPhone') > -1) {
        console.log("当前用户设备是ios");
        return false;
    }
}
